javax.ws.rs

## Class ProcessingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.ProcessingException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ResponseProcessingException

      public class ProcessingException
      extends RuntimeException

  A base JAX-RS runtime processing exception. The exception of this type is thrown during HTTP request or response processing, to signal a runtime processing failure. Typical classes of failures covered by `ProcessingException` include
  - failures in filter or interceptor chain execution,
  - errors caused by missing message body readers or writers for the particular Java type and media type combinations,
  - propagated `IO exceptions` thrown by entity `readers` and `writers` during entity serialization and de-serialization.
  as well as any other JAX-RS runtime processing errors. The exception message or nested `Throwable` cause SHOULD contain additional information about the reason of the processing failure.

  Note that the exception is used to indicate (internal) JAX-RS processing errors. It is not used to indicate HTTP error response states. A HTTP error response is represented by a `WebApplicationException` class or one of it's sub-classes.

  Since:
    2.0
  Author:
    Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessingException(String message)` Constructs a new JAX-RS runtime processing exception with the specified detail message.
    `ProcessingException(String message, Throwable cause)` Constructs a new JAX-RS runtime processing exception with the specified detail message and cause.
    `ProcessingException(Throwable cause)` Constructs a new JAX-RS runtime processing exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingException

          public ProcessingException(Throwable cause)

      Constructs a new JAX-RS runtime processing exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### ProcessingException

          public ProcessingException(String message,
                             Throwable cause)

      Constructs a new JAX-RS runtime processing exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### ProcessingException

          public ProcessingException(String message)

      Constructs a new JAX-RS runtime processing exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.